Skip to main content
GET
/
credit-notes
/
{creditNoteId}
Find a credit note by its id
curl --request GET \
  --url https://api.leanpay.fr/v1/public/credit-notes/{creditNoteId} \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "externalId": "<string>",
  "reference": "<string>",
  "amount": 123,
  "remainingAmount": 123,
  "paybackAmount": 123,
  "deductedAmount": 123,
  "issueDate": "2023-11-07T05:31:56Z",
  "paybacks": [
    {
      "date": "2023-11-07T05:31:56Z",
      "amount": 1,
      "defaultCurrencyAmount": 1,
      "externalId": "<string>"
    }
  ],
  "invoiceLinks": [
    {
      "date": "2023-11-07T05:31:56Z",
      "amount": 1,
      "defaultCurrencyAmount": 1,
      "externalId": "<string>",
      "invoice": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "externalId": "<string>"
      }
    }
  ],
  "status": "available",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

creditNoteId
string<uuid>
required

Id of the credit note

Response

Found credit note

id
string<uuid>
tenantId
string<uuid>
clientId
string<uuid>
externalId
string | null
reference
string
amount
integer
remainingAmount
integer
paybackAmount
integer
deductedAmount
integer
issueDate
string<date-time>
paybacks
object[]
status
enum<string>

Credit note status

Available options:
available,
deducted,
disputed,
recovery
createdAt
string<date-time>
updatedAt
string<date-time>